View Issue Details

IDProjectCategoryView StatusLast Update
0016126mantisbttoolspublic2014-04-17 17:45
Reporterrombert Assigned Torombert  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Target Version1.2.16Fixed in Version1.2.16 
Summary0016126: Setup integration testing on Travis CI
Description

There is already a proof-of-concept running at https://travis-ci.org/rombert/mantisbt/ .

For the first step we should have all the unit tests running on both MySQL and PostgreSQL.

TagsNo tags attached.

Relationships

related to 0016174 closedrombert mantisbt Travis CI: set up PHP 5.5 build alongside 5.4 
related to 0016175 closeddregad mantisbt Customize Travis notifications 
related to 0016202 closedatrol mantisbt Travis CI: set up PHP 5.3 build 
related to 0017174 confirmed mantisbt Add Oracle XE testing to the travis CI setup 
related to 0017229 closeddregad mantisbt Ensure that all tests are executed on Travis 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master-1.2.x 5b810244

2013-06-30 16:51:00

rombert

Details Diff
Add support for running complete test suite on Travis CI

Fixes 0016126: Setup integration testing on Travis CI
Affected Issues
0016126
add - .travis.yml Diff File
add - scripts/travis_before_script.sh Diff File

MantisBT: master 2b976660

2013-06-30 16:51:00

rombert

Details Diff
Add support for running complete test suite on Travis CI

Fixes 0016126: Setup integration testing on Travis CI
Affected Issues
0016126
add - .travis.yml Diff File
add - scripts/travis_before_script.sh Diff File

Issue History

Date Modified Username Field Change
2013-07-01 17:19 rombert New Issue
2013-07-01 17:19 rombert Status new => assigned
2013-07-01 17:19 rombert Assigned To => rombert
2013-07-11 16:16 rombert Changeset attached => MantisBT master-1.2.x 5b810244
2013-07-11 16:16 rombert Status assigned => resolved
2013-07-11 16:16 rombert Resolution open => fixed
2013-07-11 16:16 rombert Fixed in Version => 1.2.16
2013-07-14 10:49 rombert Changeset attached => MantisBT master 2b976660
2013-07-15 10:36 dregad Relationship added related to 0016174
2013-07-15 10:54 dregad Relationship added related to 0016175
2013-07-19 16:34 atrol Target Version => 1.2.16
2013-07-21 07:33 atrol Relationship added related to 0016202
2013-08-16 04:38 hero2289 Tag Attached: closed
2013-08-16 06:33 atrol Tag Detached: closed
2014-02-07 18:24 dregad Status resolved => closed
2014-04-09 04:20 rombert Issue cloned: 0017174
2014-04-09 04:20 rombert Relationship added related to 0017174
2014-04-17 17:45 rombert Issue cloned: 0017229
2014-04-17 17:45 rombert Relationship added related to 0017229